Bug 237476 - AIOOBE during memory profiling
AIOOBE during memory profiling
Status: VERIFIED FIXED
Product: profiler
Classification: Unclassified
Component: Engine
7.3.1
All All
: P2 (vote)
: 7.4
Assigned To: Tomas Hurka
issues@profiler
bugdb_17636271, 74patch1-verified
: VISUALVM
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-22 13:16 UTC by Tomas Hurka
Modified: 2013-11-21 11:54 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Hurka 2013-10-22 13:16:11 UTC
Steps:
1. Select "Memory" button in the Select Profiling Task dialog box. 
2. Click "Advanced (instrumented)" button. 
3. Click "Record full object life cycle" button. 
4. Keeping all other defaults, click "Run" button 

profile sufficiently large application. When more than 32768 classes are instrumented, the following exception is thrown: 

java.lang.ArrayIndexOutOfBoundsException: -32760 
at org.netbeans.lib.profiler.server.ProfilerRuntimeObjLiveness.traceObjAlloc(ProfilerRuntimeObjLiveness.java:267)
Comment 1 Tomas Hurka 2013-10-22 13:17:09 UTC
This is similar to issue #163211. The same fix can be done for memory profiling.
Comment 2 Tomas Hurka 2013-10-24 10:07:35 UTC
Fixed in profiler-main

changeset:   265800:82c502d0b291
user:        Tomas Hurka <thurka@netbeans.org>
date:        Thu Oct 24 11:59:26 2013 +0200
summary:     bugfix #237476, new workaround for the case where classId is treated as short
Comment 3 Quality Engineering 2013-10-30 03:48:02 UTC
Integrated into 'main-silver', will be available in build *201310300001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/82c502d0b291
User: Tomas Hurka <thurka@netbeans.org>
Log: bugfix #237476, new workaround for the case where classId is treated as short
Comment 4 Tomas Hurka 2013-11-13 09:22:41 UTC
Transplanted to release74

changeset:   275829:0cb623f74b48
branch:      release74
user:        Tomas Hurka <thurka@netbeans.org>
date:        Thu Oct 24 11:59:26 2013 +0200
summary:     bugfix #237476, new workaround for the case where classId is treated as short


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo